Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class StorageProxy

    java.lang.Object
      org.apache.cassandra.service.StorageProxy

All Implemented Interfaces:
  StorageProxyMBean

    public class StorageProxy

extends java.lang.Object
implements StorageProxyMBean

Field Summary
`static java.util.Comparator<java.lang.String>` | `keyComparator`

Method Summary
`boolean` | `getHintedHandoffEnabled()`
`long` | `getRangeOperations()`
`static java.util.List<Row>` | `getRangeSlice(RangeSliceCommand command, ConsistencyLevel consistency_level)`
`long` | `getReadOperations()`
`double` | `getRecentRangeLatencyMicros()`
`double` | `getRecentReadLatencyMicros()`
`double` | `getRecentWriteLatencyMicros()`
`long` | `getTotalRangeLatencyMicros()`
`long` | `getTotalReadLatencyMicros()`
`long` | `getTotalWriteLatencyMicros()`
`long` | `getWriteOperations()`
`static boolean` | `isHintedHandoffEnabled()`
`static void` | `mutate(java.util.List<RowMutation> mutations)` Use this method to have these RowMutations applied across all replicas.
`static void` | `mutateBlocking(java.util.List<RowMutation> mutations, ConsistencyLevel consistency_level)`
`static java.util.List<Row>` | `readProtocol(java.util.List<ReadCommand> commands, ConsistencyLevel consistency_level)` Performs the actual reading of a row out of the StorageService, fetching a specific set of column names from a given column family.
`void` | `setHintedHandoffEnabled(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyComparator

    public static final java.util.Comparator<java.lang.String> keyComparator

Method Detail

### mutate

    public static void mutate(java.util.List<RowMutation> mutations)

  Use this method to have these RowMutations applied across all replicas. This method will take care of the possibility of a replica being down and hint the data across to some other replica. This is the ZERO consistency level. We do not wait for replies.

  Parameters:
    `mutations` - the mutations to be applied across the replicas

### mutateBlocking

    public static void mutateBlocking(java.util.List<RowMutation> mutations,
                                      ConsistencyLevel consistency_level)
                               throws UnavailableException,
                                      java.util.concurrent.TimeoutException

  Throws:
    `UnavailableException`
    `java.util.concurrent.TimeoutException`

### readProtocol

    public static java.util.List<Row> readProtocol(java.util.List<ReadCommand> commands,
                                                   ConsistencyLevel consistency_level)
                                            throws java.io.IOException,
                                                   UnavailableException,
                                                   java.util.concurrent.TimeoutException,
                                                   InvalidRequestException

  Performs the actual reading of a row out of the StorageService, fetching a specific set of column names from a given column family.

  Throws:
    `java.io.IOException`
    `UnavailableException`
    `java.util.concurrent.TimeoutException`
    `InvalidRequestException`

### getRangeSlice

    public static java.util.List<Row> getRangeSlice(RangeSliceCommand command,
                                                    ConsistencyLevel consistency_level)
                                             throws java.io.IOException,
                                                    UnavailableException,
                                                    java.util.concurrent.TimeoutException

  Throws:
    `java.io.IOException`
    `UnavailableException`
    `java.util.concurrent.TimeoutException`

### getReadOperations

    public long getReadOperations()

  Specified by:
    `getReadOperations` in interface `StorageProxyMBean`

### getTotalReadLatencyMicros

    public long getTotalReadLatencyMicros()

  Specified by:
    `getTotalReadLatencyMicros` in interface `StorageProxyMBean`

### getRecentReadLatencyMicros

    public double getRecentReadLatencyMicros()

  Specified by:
    `getRecentReadLatencyMicros` in interface `StorageProxyMBean`

### getRangeOperations

    public long getRangeOperations()

  Specified by:
    `getRangeOperations` in interface `StorageProxyMBean`

### getTotalRangeLatencyMicros

    public long getTotalRangeLatencyMicros()

  Specified by:
    `getTotalRangeLatencyMicros` in interface `StorageProxyMBean`

### getRecentRangeLatencyMicros

    public double getRecentRangeLatencyMicros()

  Specified by:
    `getRecentRangeLatencyMicros` in interface `StorageProxyMBean`

### getWriteOperations

    public long getWriteOperations()

  Specified by:
    `getWriteOperations` in interface `StorageProxyMBean`

### getTotalWriteLatencyMicros

    public long getTotalWriteLatencyMicros()

  Specified by:
    `getTotalWriteLatencyMicros` in interface `StorageProxyMBean`

### getRecentWriteLatencyMicros

    public double getRecentWriteLatencyMicros()

  Specified by:
    `getRecentWriteLatencyMicros` in interface `StorageProxyMBean`

### getHintedHandoffEnabled

    public boolean getHintedHandoffEnabled()

  Specified by:
    `getHintedHandoffEnabled` in interface `StorageProxyMBean`

### setHintedHandoffEnabled

    public void setHintedHandoffEnabled(boolean b)

  Specified by:
    `setHintedHandoffEnabled` in interface `StorageProxyMBean`

### isHintedHandoffEnabled

    public static boolean isHintedHandoffEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation